System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Description.ServiceDescriptionBaseCollection

An instance of this class will be returned by the property of the parent . As such, it can have exactly two members, one an and the other an .

Represents a collection of and messages related to an XML Web service. This class cannot be inherited.

- Method
  System.Int32 `` To be added

  Adds the specified to the end of the .

  The zero-based index where the parameter has been added.

  The to add to the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Determines whether the specified is a member of the .

  true if the parameter is a member of the ; otherwise, false.

  The for which to check collection membership. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Copies the entire to a compatible one-dimensional array of type , starting at the specified zero-based index of the target array.

  An array of type serving as the destination for the copy action. The zero-based index at which to start placing the copied collection. 1.0.5000.0 2.0.0.0
- Property
  System.Web.Services.Description.OperationFlow To be added: an object of type 'OperationFlow' To be added

  Gets the type of transmission supported by the .

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 `` To be added

  Searches for the specified and returns the zero-based index of the first occurrence within the collection.

  The zero-based index of the specified operation message, or -1 if the element was not found in the collection.

  The for which to search in the collection. 1.0.5000.0 2.0.0.0
- Property
  System.Web.Services.Description.OperationInput To be added: an object of type 'OperationInput' To be added

  Gets the first occurrence of an within the collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` ``

  If the number of items in the collection already equals the collection's capacity, the capacity is doubled by automatically reallocating the internal array before the new element is inserted.

  If the parameter is equal to , the parameter is added to the end of the collection.

  The elements after the insertion point move down to accommodate the new element.

  Adds the specified to the at the specified zero-based index.

  The zero-based index at which to insert the parameter. The to add to the collection. 1.0.5000.0 2.0.0.0
- Property
  System.Web.Services.Description.OperationMessage `` To be added: an object of type 'int' To be added To be added: an object of type 'OperationMessage' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` a a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` a a a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Web.Services.Description.OperationOutput To be added: an object of type 'OperationOutput' To be added

  Gets the first occurrence of an within the collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This method performs a linear search; therefore, the average execution time is proportional to .

  The elements that follow the removed move up to occupy the vacated spot.

  Removes the first occurrence of the specified from the .

  The to remove from the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` a a To be added To be added 1.0.5000.0 2.0.0.0